
From: Nishanth Aravamudan <nacc@us.ibm.com>

Use schedule_timeout_interruptible() instead of
set_current_state()/schedule_timeout() to reduce kernel size.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Cc: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/raid5.c     |    3 +--
 drivers/md/raid6main.c |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/md/raid5.c~drivers-md-fix-up-schedule_timeout-usage drivers/md/raid5.c
--- devel/drivers/md/raid5.c~drivers-md-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/md/raid5.c	2005-09-11 02:06:29.000000000 -0700
@@ -1591,8 +1591,7 @@ static sector_t sync_request(mddev_t *md
 		/* make sure we don't swamp the stripe cache if someone else
 		 * is trying to get access 
 		 */
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(1);
+		schedule_timeout_uninterruptible(1);
 	}
 	bitmap_start_sync(mddev->bitmap, sector_nr, &sync_blocks, 0);
 	spin_lock(&sh->lock);	
diff -puN drivers/md/raid6main.c~drivers-md-fix-up-schedule_timeout-usage drivers/md/raid6main.c
--- devel/drivers/md/raid6main.c~drivers-md-fix-up-schedule_timeout-usage	2005-09-11 02:06:29.000000000 -0700
+++ devel-akpm/drivers/md/raid6main.c	2005-09-11 02:06:29.000000000 -0700
@@ -1750,8 +1750,7 @@ static sector_t sync_request(mddev_t *md
 		/* make sure we don't swamp the stripe cache if someone else
 		 * is trying to get access
 		 */
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(1);
+		schedule_timeout_uninterruptible(1);
 	}
 	bitmap_start_sync(mddev->bitmap, sector_nr, &sync_blocks, 0);
 	spin_lock(&sh->lock);
_
